function Site = changersite(site)

%CHANGERSITE - Change or show the current reference site.
% SITE = CHANGERSITE(SITE)
%
%   Without any input arguments, the current ref site is returned.
%   If SITE is given, it must be one of K, S, T or E.  
%
%   23-Mar-2002 Jm

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

global OGEOM

if isempty(OGEOM)
    geom('nop')
end

if nargin == 0
    Site = OGEOM.rsite;
elseif nargin == 1
    [msg,site] = ogeometry('ChangeReferenceSite',site);
    if msg 
        error(msg)
    else
        if site ~= OGEOM.rsite
            OGEOM.refazim = [];
            OGEOM.refelev = [];
        end            
        Site = site;
        OGEOM.rsite = Site;
    end        
else
    error('Wrong number of input arguments')
end                   

