function G = AzElHgt(azR, elR, Hgt, Refsite)

%G = AzElHgt(azR, elR, Hgt, Refsite)
%
% Return EISCAT geometry parameters 

%---------------------------------------------------

% Save reference azimuth (and elevation, though that is not really needed).

global OGEOM
OGEOM.refazim = azR;
OGEOM.refelev = elR;

% Various coordinate transformation matrixes

[gcT,gcS,gcK,gcESR,sgTT,sgKK,sgSS,sgESR,TX] = init_ogeo_sites;

[gcR,sgRR] = ogeo_site(Refsite, gcT, gcS, gcK, gcESR, sgTT, sgKK, sgSS, sgESR);

% Pointing was in Az,El,Hgt-system
 
gcP = MxtToGcC(sgRR, gcR, azR, elR, Hgt);

G = ogeo_calc(gcP,gcT,gcS,gcK,gcESR,sgTT,sgKK,sgSS,sgESR,TX);



