function G = AzElRge(azR, elR, rgeR, Refsite)

%G = AzElHgt(azR, elR, Hgt, Refsite)
%
% Return EISCAT geometry parameters 

%-------------------------------------------------

% Save reference azimuth 

global OGEOM
OGEOM.refazim = azR;
OGEOM.refelev = elR;

% Various coordinate transformation matrixes

[gcT,gcS,gcK,gcESR,sgTT,sgKK,sgSS,sgESR,TX] = init_ogeo_sites;

[gcR,sgRR] = ogeo_site(Refsite, gcT, gcS, gcK, gcESR, sgTT, sgKK, sgSS, sgESR);

% Pointing in Az, El, Range -system

gcP = LocToGcC(sgRR, gcR, azR, elR, rgeR); 

G = ogeo_calc(gcP,gcT,gcS,gcK,gcESR,sgTT,sgKK,sgSS,sgESR,TX);

