function asM = Get_asM( Az, El )

% Returns the rotation matrix (asM) from antenna (ver,hor,dir) frame
% to site frame, given antenna azimuth and elevation in degrees.


DR = pi/180;

A = Az*DR ;
E = El*DR ;

asM(1,1) = (cos(A)*sin(E));
asM(1,2) = (sin(A));
asM(1,3) = (-cos(A)*cos(E));

asM(2,1) = (-sin(A)*sin(E));
asM(2,2) = (cos(A));
asM(2,3) = (sin(A)*cos(E));

asM(3,1) = (cos(E));
asM(3,2) = 0;
asM(3,3) = (sin(E));


%if abs(El-90) < 0.1
%    display(['DBG: ' mfilename]);
%    Az,El,asM
%end    
