function MM = Get_sgM( Phi, Lda )

% Returnes the rotation matrix (MM) from site frame to geosentric frame,
% given the latitude (Phi) and longtitude (Lda) of the site in degrees.


DR = atan(1)/ 45;
L = Lda*DR;
P = Phi*DR;

MM(1,1) = cos(L)*sin(P);
MM(1,2) = -sin(L);
MM(1,3) = cos(L)*cos(P);

MM(2,1) = sin(L)*sin(P);
MM(2,2) = cos(L);
MM(2,3) = sin(L)*cos(P);

MM(3,1) = -cos(P);
MM(3,2) = 0;
MM(3,3) = sin(P);
