function P = LocToGcC( sgM, gc0, Az, El, Range )

% Returns the geocentric cartesian coordinates (P) of a point ,
% given azimuth (Az), elevation (El)(in degrees) and range at a site, as 
% well as the rotation matrix (sgM) from site frame to geocentric 
% frame, and the geocentric coordinates (gc0) of the site.

asM = Get_asM(Az,El);
agM = sgM*asM;
P = RgeToGcC(agM, gc0, Range);
