function R = Range_0( Hgt, El)

% Returns the spherical geometry approximation of Range, given
% height (Hgt) and elevation (El)(in degrees).

R0 = 6360.245;
DR = pi/180;

SinEl = sin(El*DR);
CosEl2 = (cos(El*DR))^2;



R = sqrt( (R0+Hgt)*(R0+Hgt) - R0*R0*CosEl2 ) - R0*SinEl;   
