function gcP = RgeToGcC( agM, gc0, Rge)

% Returns the geocentric cartesian coordinates (gcP) of a point
% given its Range in the local frame, the rotation matrix (agM)
% from antenna (ver,hor,dir) frame to geocentric frame an the
% geocentric carteesian coordinates of the origin (gc0) of the antenna
% frame.

gcP(1) = gc0(1) + agM(1,3) * Rge;
gcP(2) = gc0(2) + agM(2,3) * Rge;
gcP(3) = gc0(3) + agM(3,3) * Rge;
